<?php
namespace App\Authentication\Tokenizer;

class Confirmation extends AbstractTokenizer
{
    /**
     * @inheritdoc
     */
    public function encode(array $data): string
    {
//        $compressedData = zlib_encode(parent::encode($data), ZLIB_ENCODING_DEFLATE);
//        return base64_encode($compressedData);
        return parent::encode($data);
    }

    /**
     * @inheritdoc
     */
    public function decode(string $encoded)
    {
//        return parent::decode(zlib_decode(base64_decode($encoded)));
        return parent::decode($encoded);
    }
}